> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Rhino.fi Webhook Public Key

> Rhino.fi public key used to verify webhook events signatures.



## OpenAPI

````yaml https://api.rhino.fi/webhook/swagger.json get /public-key
openapi: 3.1.0
info:
  title: Api
  version: 0.0.1
servers:
  - url: https://api.rhino.fi/webhook
security: []
tags:
  - name: signature
  - name: user-events
paths:
  /public-key:
    get:
      tags:
        - signature
      summary: Rhino.fi Webhook Public Key
      description: Rhino.fi public key used to verify webhook events signatures.
      operationId: signature.publicKey
      parameters: []
      responses:
        '200':
          description: a string
          content:
            application/json:
              schema:
                type: string
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpApiDecodeError'
      security: []
components:
  schemas:
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol

````